HELP2MAN(1)

NAME
help2man - generate a simple manual page

SYNOPSIS
help2man [OPTION]... EXECUTABLE

DESCRIPTION
`help2man' generates a man page out of `--help' and `--version' output.

-n, --name=STRING
    description for the NAME paragraph

-s, --section=SECTION
    section number for manual page (1, 6, 8)

-m, --manual=TEXT
    name of manual (User Commands, ...)

-S, --source=TEXT
    source of program (FSF, Debian, ...)

-L, --locale=STRING
    select locale (default "C")

-i, --include=FILE
    include material from `FILE'

-I, --opt-include=FILE
    include material from `FILE' if it exists

-o, --output=FILE
    send output to `FILE'

-p, --info-page=TEXT
    name of Texinfo manual

-N, --no-info
    suppress pointer to Texinfo manual

-l, --libtool
    exclude the `lt-' from the program name

--help
    print this help, then exit

--version
    print version number, then exit

EXECUTABLE should accept `--help' and `--version' options and produce output on stdout although alternatives may be specified using:

-h, --help-option=STRING
    help option string

-v, --version-option=STRING
    version option string

--version-string=STRING
    version string

--no-discard-stderr
    include stderr when parsing option output

INCLUDE FILES
Additional material may be included in the generated output with the --include and --opt-include options. The format is simple:
    [section]
    text
    /pattern/
    text Blocks of verbatim *roff text are inserted into the output either at the start of the given [section] (case insensitive), or after a paragraph matching /pattern/. Patterns use the Perl regular expression syntax and may be followed by the i, s or m modifiers (see perlre(1)). Lines before the first section or pattern which begin with `-' are processed as options. Anything else is silently ignored and may be used for comments, RCS keywords and the like. The section output order (for those included) is:
    NAME
    SYNOPSIS
    DESCRIPTION
    OPTIONS
    ENVIRONMENT
    FILES
    EXAMPLES
    other
    AUTHOR
    REPORTING BUGS
    COPYRIGHT
    SEE ALSO Any [NAME] or [SYNOPSIS] sections appearing in the include file will replace what would have automatically been produced (although you can still override the former with --name if required). Other sections are prepended to the automatically produced output for the standard sections given above, or included at other (above) in the order they were encountered in the include file. Placement of the text within the section may be explicitly requested by using the syntax [<section], [=section] or [>section] to place the additional text before, in place of, or after the default output respectively.

AVAILABILITY
The latest version of this distribution is available on-line from:
    ftp://ftp.gnu.org/gnu/help2man/

AUTHOR
Written by Brendan O'Dea <bod@debian.org>

REPORTING BUGS
Report bugs to <bug-help2man@gnu.org>.

COPYRIGHT
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009, 2010, 2011, 2012, 2013 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for help2man is maintained as a Texinfo manual. If the info and help2man programs are properly installed at your site, the command

    info help2man

should give you access to the complete manual.